Package com.macrofocus.high_d.parallelcoordinatesmatrix.swing

# Class SwingParallelCoordinatesMatrixView<Row,Column>

java.lang.Object
com.macrofocus.high_d.parallelcoordinatesmatrix.AbstractParallelCoordinatesMatrixView<JComponent,Color,Row,Column>
com.macrofocus.high_d.parallelcoordinatesmatrix.swing.SwingParallelCoordinatesMatrixView<Row,Column>

All Implemented Interfaces:
  `ParallelCoordinatesMatrixView<JComponent,Color>`

public class SwingParallelCoordinatesMatrixView<Row,Column> extends AbstractParallelCoordinatesMatrixView<JComponent,Color,Row,Column>

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.parallelcoordinatesmatrix.AbstractParallelCoordinatesMatrixView

  `model, parallelCoordinates`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingParallelCoordinatesMatrixView()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ParallelCoordinates<JComponent,Color,Row,Column>`
  `createParallelCoordinates()`
  `Object`
  `getClosestRow(int x, int y)`
  `protected com.macrofocus.crossplatform.CPFactory<JComponent,?,?,Color>`
  `getFactory()`
  `JComponent`
  `getNativeComponent()`
  `protected void`
  `refresh()`
  `protected void`
  `updateParallelCoordinatesModel()`

  ### Methods inherited from class com.macrofocus.high_d.parallelcoordinatesmatrix.AbstractParallelCoordinatesMatrixView

  `getColorTheme, getModel, getRowCount, isSelectionMode, isShowTiming, setAntialiasing, setColorTheme, setLicenseModel, setModel, setRendering, setSelectionMode, setShowFiltered, setShowTiming`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingParallelCoordinatesMatrixView

    public SwingParallelCoordinatesMatrixView()

- ## Method Details

  - ### createParallelCoordinates

    protected ParallelCoordinates<JComponent,Color,Row,Column> createParallelCoordinates()
    Specified by:
      `createParallelCoordinates` in class `AbstractParallelCoordinatesMatrixView<JComponent,Color,Row,Column>`

  - ### getClosestRow

    public Object getClosestRow(int x, int y)

  - ### refresh

    protected void refresh()
    Specified by:
      `refresh` in class `AbstractParallelCoordinatesMatrixView<JComponent,Color,Row,Column>`

  - ### updateParallelCoordinatesModel

    protected void updateParallelCoordinatesModel()
    Overrides:
      `updateParallelCoordinatesModel` in class `AbstractParallelCoordinatesMatrixView<JComponent,Color,Row,Column>`

  - ### getNativeComponent

    public JComponent getNativeComponent()

  - ### getFactory

    protected com.macrofocus.crossplatform.CPFactory<JComponent,?,?,Color> getFactory()
    Specified by:
      `getFactory` in class `AbstractParallelCoordinatesMatrixView<JComponent,Color,Row,Column>`